import { IWeAppCode, ICompositedComponent } from '@cloudbase/lowcode-generator/lib/weapps-core';
import { IBuildContext, IMpCommonBuildContext } from './BuildContext';
export declare function writeCode2file(ctx: IBuildContext | (IMpCommonBuildContext & {
    isMixMode?: undefined;
}), mod: IWeAppCode, lowcodeRootDir: string, opts?: {
    pageId?: string;
    appDir?: string;
    comp?: ICompositedComponent;
}, themeCode?: string, externalAPIImport?: boolean): Promise<void>;
export declare function handle$page(code: string): string;
export declare function handle$comp(code: string): string;
